import { TableDateTimeFieldWidget } from './TableDateTimeFieldWidget';
export declare class TableTimeFieldWidget extends TableDateTimeFieldWidget {
    protected get defaultFormat(): string;
    protected get valueFormat(): string;
    protected hasDateFormat: boolean;
    protected convertTimeFormat(format: string): string | undefined;
    protected getDateFormat(context: any): string | undefined;
    protected getDefaultDateFormat(): undefined;
}
